<?php
namespace Claromentis\Projects\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("user_i" . "d" => base64_decode("dXNl" . "cl9p" . "ZA=="), "project_" . "id" => base64_decode("cHJvam" . "VjdF9p" . "ZA=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Projects\Service\NotificationService;
class TopicCreateEvent extends GenericEvent
{
    const EVENT_NAME = NotificationService::TOPICS_NEW_TOPIC_ADDED;
    public function getProjectId() : ?int
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["proje" . "ct_id"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["proje" . "ct_id"]) : null;
    }
    public function setProjectId(int $_47d202493f86e587c8454fae73657c90) : void
    {
        $this->setArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["proj" . "ect_" . "id"], $_47d202493f86e587c8454fae73657c90);
    }
    public function getUserId() : ?int
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["us" . "er" . "_i" . "d"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["user_i" . "d"]) : null;
    }
    public function setUserId(int $_47d202493f86e587c8454fae73657c90) : void
    {
        $this->setArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["use" . "r_i" . "d"], $_47d202493f86e587c8454fae73657c90);
    }
}